Events
Reorder event setup rows
Saves zero-based sort positions in the supplied order. Every ID must be active in this event; only tickets, questions, sponsorship packages, tables and auction items support sorting. Requires grouped registration features. Requires the event management capability; all referenced records must belong to this event and organization.
PUT
/
admin
/
events
/
{eventId}
/
setup
/
{setup}
/
reorder
Reorder event setup rows
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ordered_ids": [
42
]
}
'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder"
payload = { "ordered_ids": [42] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ordered_ids: [42]})
};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ordered_ids' => [
42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder"
payload := strings.NewReader("{\n \"ordered_ids\": [\n 42\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ordered_ids\": [\n 42\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ordered_ids\": [\n 42\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"code": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"admissions_per_unit": 1,
"registration_group_kind": "Example",
"group_label_prompt": "Example",
"attendee_details_timing": "Example",
"waitlist_enabled": false,
"min_per_order": 1,
"max_per_order": 1,
"attendee_details_required": false,
"is_active": false,
"visibility": "public",
"sale_starts_at": "2026-10-20T12:00:00Z",
"sale_ends_at": "2026-10-20T12:00:00Z",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Record ID in the authenticated organization.
Example:
42
Setup collection.
Available options:
ticket-types, questions, promo-codes, sponsor-packages, tables, auction-items, communications Example:
"ticket-types"
Body
application/json
Minimum array length:
1Distinct active setup row ID.
Response
Reorder event setup rows completed.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
⌘I
Reorder event setup rows
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ordered_ids": [
42
]
}
'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder"
payload = { "ordered_ids": [42] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ordered_ids: [42]})
};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ordered_ids' => [
42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder"
payload := strings.NewReader("{\n \"ordered_ids\": [\n 42\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ordered_ids\": [\n 42\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/setup/{setup}/reorder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ordered_ids\": [\n 42\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"code": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"admissions_per_unit": 1,
"registration_group_kind": "Example",
"group_label_prompt": "Example",
"attendee_details_timing": "Example",
"waitlist_enabled": false,
"min_per_order": 1,
"max_per_order": 1,
"attendee_details_required": false,
"is_active": false,
"visibility": "public",
"sale_starts_at": "2026-10-20T12:00:00Z",
"sale_ends_at": "2026-10-20T12:00:00Z",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}